import {createRouter, createWebHistory} from 'vue-router'

const routes = [
    {path: '', name: 'home', component: () => import('@/views/Home.vue')},
    {path: '/about', name: 'about', component: () => import('@/views/About.vue')},
    {path: '/favorite', name: 'favorite', component: () => import('@/views/Favorite.vue')},
    {path: '/setting', name: 'setting', component: () => import('@/views/Setting.vue')},
]
const router = createRouter({
    routes,
    history: createWebHistory(),
})

export default router